Skip to main content
`Ctrl`+`K`

# TaoComputeJacobianEquality

Computes the Jacobian matrix that has been set with `TaoSetJacobianEqualityRoutine()`.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoComputeJacobianEquality(Tao tao, Vec X, Mat J, Mat Jpre)

Collective

## Input Parameters

- tao - the `Tao` solver context

- X - input vector

## Output Parameters

- J - Jacobian matrix

- Jpre - matrix used to construct the preconditioner, often the same as `J`

## Notes

Most users should not need to explicitly call this routine, as it is used internally within the optimization algorithms.

## See Also

TAO: Optimization Solvers, `TaoComputeObjective()`, `TaoComputeObjectiveAndGradient()`, `TaoSetJacobianStateRoutine()`, `TaoComputeJacobianDesign()`, `TaoSetStateDesignIS()`

## Level

developer

## Location

src/tao/interface/taosolver_hj.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages